<div class="classes-list">
  <div class="annotation-class-color-settings">
    <app-annotation-class-color-settings
      [annotationColorMaps]="annotationColorMaps"
      [selectedAnnotationColorMap]="selectedAnnotationColorMapId"
      [annotationColorMapInversion]="annotationColorMapInversion"
      [annotationColorMapInversionDisableState]="annotationColorMapInversionDisableState"
      (changeAnnotationColorMap)="changeAnnotationColorMap.emit($event)"
      (changeAnnotationColorMapInversion)="changeAnnotationColorMapInversion.emit($event)">
    </app-annotation-class-color-settings>
  </div>
  <span class="top-padding"></span>
  <ng-container *ngIf="classColorMapping">
    <ng-container *ngIf="hasEadRenderingHint; else sortedClasses">
      <app-class-item
        *ngFor="let hint of selectedAnnotationColorMap.renderingHints"
        [classItem]="classesDict[hint.class_value]"
        [classColor]="hint.color"
        [selected]="classSelections[hint.class_value]?.checked"
        (changeSelection)="changeClassSelection.emit($event)">
      </app-class-item>
    </ng-container>
    <ng-template #sortedClasses>
      <ng-container *ngFor="let classItem of classEntities; trackBy: trackByClassEntity">
        <app-class-item
          *ngIf="classColorMapping[classItem.id]"
          [classItem]="classItem"
          [classColor]="classColorMapping[classItem.id]?.color"
          [selected]="classSelections[classItem.id]?.checked"
          (changeSelection)="changeClassSelection.emit($event)">
        </app-class-item>
      </ng-container>
    </ng-template>
  </ng-container>
</div>
